createForm
POST
/api/v1/forms
const url = 'https://example.com/api/v1/forms';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","draftSchema":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/forms \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "draftSchema": {} }'Creates a Form Data Source (a Data Source provider). The server publishes the supplied draft schema as the form’s first immutable revision and the creator becomes its manager. Requires the editor+ global role.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
required
string
description
string
draftSchema
required
object
Examplegenerated
{ "name": "example", "description": "example", "draftSchema": {}}Responses
Section titled “ Responses ”Form Data Source created with its first published revision
Name, description, or schema rejected